com.google.cloud.dataflow.sdk.transforms

## Interface Combine.AccumulatingCombineFn.Accumulator<InputT,AccumT,OutputT>

Enclosing class:
  Combine.AccumulatingCombineFn<InputT,AccumT extends Combine.AccumulatingCombineFn.Accumulator<InputT,AccumT,OutputT>,OutputT>

    public static interface Combine.AccumulatingCombineFn.Accumulator<InputT,AccumT,OutputT>

The type of mutable accumulator values used by this `AccumulatingCombineFn`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addInput(InputT input)` Adds the given input value to this accumulator, modifying this accumulator.
`OutputT` `extractOutput()` Returns the output value that is the result of combining all the input values represented by this accumulator.
`void` `mergeAccumulator(AccumT other)` Adds the input values represented by the given accumulator into this accumulator.

### Method Detail

#### addInput

    void addInput(InputT input)

Adds the given input value to this accumulator, modifying this accumulator.

#### mergeAccumulator

    void mergeAccumulator(AccumT other)

Adds the input values represented by the given accumulator into this accumulator.

#### extractOutput

    OutputT extractOutput()

Returns the output value that is the result of combining all the input values represented by this accumulator.